<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <script src="js/site.js"></script>
  <link rel="stylesheet" href="css/site.css" />
  <title>Hello</title>
</head>

<body>

  <div id="loginForm">
    <h1 style="text-align: center; font-weight: bold">
      Testing application without Data Base or dedicated Server
    </h1>
    <div class="alert" id="invalidCredentials" style="display: none">
      <span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span>
      <strong>Invalid</strong> User name or Password!
    </div>
    <div class="imgcontainer">
      <img src="images/Logo.jpg" alt="Avatar" class="avatar" />
    </div>

    <div class="container">
      <label for="userName"><b>Username</b></label>
      <input type="text" placeholder="Enter Username" id="userName" required />

      <label for="password"><b>Password</b></label>
      <input type="password" placeholder="Enter Password" id="password" required />

      <button onclick="loginFunction()" id="loginButton" type="submit">
        Login
      </button>
      <label>
        <input type="checkbox" checked="checked" name="remember" /> Remember
        me</label>
    </div>

    <div class="container" style="background-color: #f1f1f1">
      <button type="button" class="cancelbtn">Cancel</button>
      <span class="psw">
        <a href="#">Forgot password?</a>
      </span>
    </div>
  </div>
  <div style="display: none;" class="loader" id="loaderPacifier"></div>
  <script>
    var input = document.getElementById("password");
    input.addEventListener("keypress", function (event) {
      if (event.key === "Enter") {
        event.preventDefault();
        document.getElementById("loginButton").click();
      }
    });
  </script>
</body>

</html>